# ETF Tide `GET` `https://api.unusualwhales.com/api/market/{ticker}/etf-tide` The ETF tide is similar to the Market Tide. While the market tide is based on options activity of the whole market the ETF tide is only based on the options activity of the holdings of the specified ETF. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | Ticker | Yes | A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a `-`. | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `net_call_premium` | Market General Net Call Premium | Defined as (call premium ask side) - (call premium bid side). | | `net_put_premium` | Market General Net Put Premium | Defined as (put premium ask side) - (put premium bid side). | | `net_volume` | Market General Net Volume | Defined as (call volume ask side) - (call volume bid side) - ((put volume ask side) - (put volume bid side)). | | `timestamp` | General Tick time | The start time of the tick as a timestamp with timezone. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/market/{ticker}/etf-tide" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/market/{ticker}/etf-tide", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "date": "2023-09-08", "net_call_premium": "660338.0000", "net_put_premium": "-547564.0000", "net_volume": 23558, "timestamp": "2023-09-08T09:30:00-04:00" }, { "date": "2023-09-08", "net_call_premium": "4907138.0000", "net_put_premium": "-1709539.0000", "net_volume": 64312, "timestamp": "2023-09-08T09:31:00-04:00" }, { "date": "2023-09-08", "net_call_premium": "4839265.0000", "net_put_premium": "-2731793.0000", "net_volume": 80029, "timestamp": "2023-09-08T09:32:00-04:00" } ] } ```